> For the complete documentation index, see [llms.txt](https://docs.alignlabs.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alignlabs.dev/align-api/customers/simulate-sandbox.md).

# Simulate (Sandbox)

## POST /v0/customers/simulate

> Simulate customer actions

```json
{"openapi":"3.0.0","info":{"title":"Customers API","version":"0"},"servers":[{"url":"https://api.alignlabs.dev","description":"Production server"},{"url":"https://api-sandbox.alignlabs.dev","description":"Sandbox server"}],"paths":{"/v0/customers/simulate":{"post":{"summary":"Simulate customer actions","parameters":[{"name":"Api-Key","in":"header","description":"Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"action":{"type":"string","enum":["kyc.status.approve","kyc.sub_status.kyc_form_submission_accepted"],"description":"The action to simulate"},"customer_id":{"type":"string","description":"The unique identifier of the customer"}},"required":["action","customer_id"]}}}},"responses":{"200":{"description":"Successful simulation","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Bad request"},"403":{"description":"Forbidden - only available in non-production environments"}}}}}}
```
